receivers:
  nop:

processors:
  nop:
  unhealthy:

exporters:
  nop:

extensions:
  statuswatcher:

service:
  telemetry:
    metrics:
      readers:
        - pull:
            exporter:
              prometheus:
                host: "localhost"
                port: 8888
  extensions: [statuswatcher]
  pipelines:
    traces:
      receivers: [nop]
      processors: [nop,unhealthy]
      exporters: [nop]
    metrics:
      receivers: [nop]
      processors: [nop,unhealthy]
      exporters: [nop]
    logs:
      receivers: [nop]
      processors: [nop,unhealthy]
      exporters: [nop]
